# /etc/cshrc

# System wide environment and startup programs for csh users

setenv PATH "${PATH}:/usr/X11R6/bin"

if ($?term) then
  if ("$term" == "linux") then
    # nice to make tcsh work correctly on non linux
    set term = vt100
  endif
endif

if ($?prompt) then
  [ "$SHELL" = /bin/tcsh ]
  if ($status == 0) then
    set prompt='[%n@%m %c]$ ' 
  else
    set prompt=\[`id -nu`@`hostname -s`\]\$\ 
  endif
endif

limit coredumpsize 1000000

[ `id -gn` = `id -un` -a `id -u` -gt 14 ]
if $status then
	umask 022
else
	umask 002
endif

setenv HOSTNAME `/bin/hostname`
set history=1000

echo /etc/profile.d/*.csh >&/dev/null
if $status then
        foreach i ( /etc/profile.d/*.csh )
                source $i
        end
endif
